Bug 1256086 - Review Request: ghc-tls - TLS/SSL protocol native implementation (Server and Client)
Review Request: ghc-tls - TLS/SSL protocol native implementation (Server and ...
Status: CLOSED DUPLICATE of bug 1495018
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1494886 1256085
Blocks: 1256089
  Show dependency treegraph
 
Reported: 2015-08-23 17:20 EDT by Ben Boeckel
Modified: 2017-09-24 19:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-24 19:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2015-08-23 17:20:31 EDT
Spec URL: http://benboeckel.net/packaging/ghc-tls/ghc-tls.spec
SRPM URL: http://benboeckel.net/packaging/ghc-tls/ghc-tls-1.3.1-1.fc24.src.rpm
Description:
Native Haskell TLS and SSL protocol implementation for server and client.

This provides a high-level implementation of a sensitive security protocol,
eliminating a common set of security issues through the use of the advanced
type system, high level constructions and common Haskell features.

Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol, and support
RSA and Ephemeral (Elliptic curve and regular) Diffie Hellman key exchanges,
and many extensions.

Some debug tools linked with tls, are available through the
<http://hackage.haskell.org/package/tls-debug/>.

Fedora Account System Username: mathstuf
Copr: https://copr.fedoraproject.org/coprs/mathstuf/git-annex/
Comment 2 Roman Joost 2017-02-28 20:07:06 EST
Can't review. The URLs are giving a 404 :(
Comment 3 Elliott Sales de Andrade 2017-08-23 22:52:32 EDT
Still 404 and package is outdated.
Comment 4 Elliott Sales de Andrade 2017-09-24 19:30:23 EDT
Closing in favour of new review.

*** This bug has been marked as a duplicate of bug 1495018 ***

Note You need to log in before you can comment on or make changes to this bug.